# PredicateOr

рус.: Предикат "или"

Компонент PredicateOr предназначен для выполнения логической операции "или".

Предыдущий компонент PredicateAnd

Откроем проект "lessons". Мы уже сделали конфигурацию, в которой три надписи и три кнопки, причем при помощи кнопок и компонента PredicateAnd выполняется операция "логическое и".

Добавим в конфигурацию еще три кнопки и компонент PredicateOr, при помощи которых будет производится операция "логическое или".

В рабочей области вкладки "Main" осталось мало места для компонентов, поэтому создадим вкладку "Or".

Вкладка "Or" сейчас пуста и галочки в списке "Компоненты" убраны со всех компонентов - это значит что нет визуального представления компонентов на вкладке "Or". Чтобы использовать те же компоненты, что и на вкладке "Main" (Напр.: компонент "Контейнер для представлений") достаточно поставить галочку рядом с нужным компонентом.

Добавим на вкладку компоненты "Контейнер для представлений", TextButton_3, TextButton_4, TextButton_5 и PredicateOr и расположем компоненты так, чтобы было удобно с ними работать.

Создадим связи для всех визуальных компонентов. Создадим связи от компонента "Контейнер для представлений" к компонентам TextButton_3, TextButton_4, и TextButton_5.

Зададим логику работы конфигурации. Создадим связи для выполнения логической операции "логическое или".

Создадим связь (Тип связи "Связь для управления сенсорами" - "Изменение операда А и выполнение предиката") от компонента TextButton_3 к компоненту PredicateOr. Создадим связь (Тип связи "Связь для управления сенсорами" - "Изменение операда В и выполнение предиката") от компонента TextButton_4 к компоненту PredicateOr.

Создадим связь (Тип связи "Связь для эмуляции сенсора") от компонента PredicateOr к компоненту TextButton_5.

Все связи готовы, осталось только отредактировать свойства компонентов.

Отредактируем свойства компонентов TextButton_3, TextButton_4 и TextButton_5.

Следующий компонент PredicateNot

Подробнее о компоненте PredicateOr ▼ | Распечатать

## Связи

### Входящие связи

ExecuteA
  Связь от операнда A
ExecuteB
  Связь от операнда B

### Исходящие связи

OutS
  Результат выполнения логической операции

## Свойства

AllowFalse
  Пропуск значения false. Значение: логическое (true/false)
AllowTrue
  Пропуск значения true. Значение: логическое (true/false)
AntiCircle
  Предотвращение бесконечных циклов. Если результат воздействия равен текущему состоянию, при состоянии AntiCircle=true - не отрабатывать воздействие. Значение: логическое (true/false).
Operation
  Выполняемая компонентом операция. Значение: строка (Напр.: A_and_B, A_or_B, A_eq_B, A_xor_b, not_A_and_B, A_and_not_B, not_A_and_not_B), по умолчанию A_OR_B
StatusA
  Определение
StatusB
  Определение

Последнее изменение: 28.01.2009